---------------------------------------------------------------------------------------------------
--
-- Title       : ROM1
-- Design      : ROMs
-- Author      : Fernando
-- Company     : Moraes
--
---------------------------------------------------------------------------------------------------
--
-- File        : ROM1.vhd
-- Generated   : Mon Apr 10 17:19:36 2006
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.20
--
---------------------------------------------------------------------------------------------------
--
-- Description : 
--
---------------------------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {ROM1} architecture {ROM1}}

library IEEE;
use IEEE.STD_LOGIC_1164.all;
package ROM is		-- definio de uma rom 13x4
	constant largura : integer := 6;
	subtype palavra is std_logic_vector(0 to largura-1);
	type mem_rom is array (0 to 31) of palavra;
end ROM;

	
library IEEE;
use IEEE.STD_LOGIC_1164.all;
use work.ROM.all;



entity ROM1 is
	 port(
		 Address : in STD_LOGIC_VECTOR(4 downto 0);
		 Data : out STD_LOGIC_VECTOR(5 downto 0)
	     );
end ROM1;

--}} End of automatically maintained section

architecture ROM1 of ROM1 is
constant ROM1 : mem_rom := (
"110010","110100","010000","011000","001010","010101",
"010011","111000","011110","001010","010010","011001",
"110010","110100","010000","011000","001010","010101",
"010011","111000","011110","001010","010010","011001",
"110010","110100","010000","011000","001010","010101",
"010011","111000"
);
begin

	 -- enter your statements here --

end ROM1;
