---------------------------------------------------------------------------------------------------
--
-- Title       : ROM2
-- Design      : ROM2
-- Author      : Fernando
-- Company     : Moraes
--
---------------------------------------------------------------------------------------------------
--
-- File        : ROM2.vhd
-- Generated   : Mon Apr 10 18:05:41 2006
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.20
--
---------------------------------------------------------------------------------------------------
--
-- Description : 
--
---------------------------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {ROM2} architecture {ROM2}}


library IEEE;
use IEEE.STD_LOGIC_1164.all;
package ROM is		-- definio de uma rom 13x4
	constant largura : integer := 6;
	subtype palavra is std_logic_vector(0 to largura-1);
	type mem_rom is array (0 to 31) of palavra;
end ROM;
	

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_unsigned.all;
use work.ROM.all;

entity ROM2 is
	 port(
		 Endereco : in STD_LOGIC_VECTOR(4 downto 0);
		 Dados : out STD_LOGIC_VECTOR(5 downto 0)
	     );
end ROM2;

--}} End of automatically maintained section

architecture ROM2 of ROM2 is
	constant ROM1 : mem_rom :=(
	"111100","110100","011000","010000","010110","110101","000111",
	"110010","011100","001000","011110","011101","010011","100111",
	"111100","110100","011000","010000","010110","110101","000111",
	"110010","011100","001000","011110","011101","010011","100111",
	"110010","011100","001000","011110");

begin

	 Dados <= ROM1(CONV_INTEGER(Endereco));

end ROM2;
